org.codehaus.groovy.antlr.java

## Class Java2GroovyMain

- java.lang.Object
- - org.codehaus.groovy.antlr.java.Java2GroovyMain

-     public class Java2GroovyMain
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Java2GroovyMain()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `convert(String filename, String input)`
    `static String` | `convert(String filename, String input, boolean withHeader, boolean withNewLines)`
    `static void` | `main(String[] args)`
    `static String` | `mindmap(String input)`
    `static String` | `nodePrinter(String input)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Java2GroovyMain

          public Java2GroovyMain()

  - ### Method Detail

    - #### main

          public static void main(String[] args)

    - #### convert

          public static String convert(String filename,
                       String input)
                                throws Exception

      Throws:
        `Exception`

    - #### convert

          public static String convert(String filename,
                       String input,
                       boolean withHeader,
                       boolean withNewLines)
                                throws Exception

      Throws:
        `Exception`

    - #### mindmap

          public static String mindmap(String input)
                                throws Exception

      Throws:
        `Exception`

    - #### nodePrinter

          public static String nodePrinter(String input)
                                    throws Exception

      Throws:
        `Exception`